package cokr.xit.fims.task.web;

import javax.servlet.http.HttpServletRequest;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.servlet.ModelAndView;

import cokr.xit.fims.crdn.Crdn;
import cokr.xit.fims.crdn.CrdnQuery;
import cokr.xit.fims.cvlc.CrdnCvlcpt;
import cokr.xit.fims.sprt.SprtQuery;


@Controller
public class BpvController {

	public static final String CLASS_URL = "/BPV";

	@Controller
	@RequestMapping(name="전용차로과태료업무 민원접수자료 업무", value=CLASS_URL+Cvlc01Controller.CLASS_URL)
	class Cvlc01Controller extends cokr.xit.fims.cvlc.web.Cvlc01Controller {

		@Override
		@RequestMapping(name="전용차로과태료업무 민원접수자료 목록 조회", value=METHOD_URL.getCivilComplaintReceiptDataList)
		public ModelAndView getCivilComplaintReceiptDataList(CrdnQuery query) {
			return super.getCivilComplaintReceiptDataList(query);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 민원자료 제거", value=METHOD_URL.removeCivilComplaint)
		public ModelAndView removeCivilComplaint(String[] IDs) {
			return super.removeCivilComplaint(IDs);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 민원접수 초기자료 조회", value=METHOD_URL.getCivilComplaintReceiptInitialDataInfo)
		public ModelAndView getCivilComplaintReceiptInitialDataInfo(HttpServletRequest hReq, CrdnQuery query) {
			return super.getCivilComplaintReceiptInitialDataInfo(hReq, query);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 민원 정보 수정", value=METHOD_URL.saveCivilComplaintProcessSection)
		public ModelAndView saveCivilComplaintProcessSection(HttpServletRequest hReq, CrdnCvlcpt crdnCvlcpt, Crdn crdn, MultipartFile[] newFileList, MultipartFile[] modifyFileList) {
			return super.saveCivilComplaintProcessSection(hReq, crdnCvlcpt, crdn, newFileList, modifyFileList);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 민원 자료 복사", value=METHOD_URL.copyCivilComplaintInfo)
		public ModelAndView copyCivilComplaintInfo(String crdnId) {
			return super.copyCivilComplaintInfo(crdnId);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 민원 자료 반송", value=METHOD_URL.sendBackCivilComplaintInfo)
		public ModelAndView sendBackCivilComplaintInfo(String crdnId) {
			return super.sendBackCivilComplaintInfo(crdnId);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 민원내역 원본 보기", value=METHOD_URL.getCivilComplaintOriginalInfo)
		public ModelAndView getCivilComplaintOriginalInfo(HttpServletRequest hReq, CrdnQuery query) {
			return super.getCivilComplaintOriginalInfo(hReq, query);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 민원내역 원본 한글 파일 생성", value=METHOD_URL.makeFileFromHwpFormat)
		public ModelAndView makeFileFromHwpFormat(CrdnQuery query) {
			return super.makeFileFromHwpFormat(query);
		}

	}

	@Controller
	@RequestMapping(name="전용차로과태료업무 민원답변대상자료 업무", value=CLASS_URL+Cvlc02Controller.CLASS_URL)
	class Cvlc02Controller extends cokr.xit.fims.cvlc.web.Cvlc02Controller {

		@Override
		@RequestMapping(name="전용차로과태료업무 민원답변대상자료 목록", value=METHOD_URL.selectCivilComplaintAnswerTargetDataList)
		public ModelAndView selectCivilComplaintAnswerTargetDataList(CrdnQuery query) {
			return super.selectCivilComplaintAnswerTargetDataList(query);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 민원답변내용 미리보기", value=METHOD_URL.answerPreviewInfo)
		public ModelAndView answerPreviewInfo(HttpServletRequest hReq, CrdnQuery query) {
			return super.answerPreviewInfo(hReq, query);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 답변 내용 저장", value=METHOD_URL.updateAnswerContent)
		public ModelAndView updateAnswerContent(CrdnCvlcpt crdnCvlcpt) {
			return super.updateAnswerContent(crdnCvlcpt);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 답변 내용 저장", value=METHOD_URL.updateAnswerTargetProcessStatus)
		public ModelAndView updateAnswerTargetProcessStatus(String processType, String... crdnIDs) {
			return super.updateAnswerTargetProcessStatus(processType, crdnIDs);
		}

	}

	@Controller
	@RequestMapping(name="전용차로과태료업무 민원관리 업무", value=CLASS_URL+Cvlc03Controller.CLASS_URL)
	class Cvlc03Controller extends cokr.xit.fims.cvlc.web.Cvlc03Controller {

		@Override
		@RequestMapping(name="전용차로과태료업무 민원자료 목록 조회", value=METHOD_URL.getCivilComplaintList)
		public ModelAndView getCivilComplaintList(CrdnQuery query) {
			return super.getCivilComplaintList(query);
		}

	}

	@Controller
	@RequestMapping(name="전용차로과태료업무 민원개별등록 관리 업무", value=CLASS_URL+Cvlc04Controller.CLASS_URL)
	class Cvlc04Controller extends cokr.xit.fims.cvlc.web.Cvlc04Controller {

		@Override
		@RequestMapping(name="전용차로과태료업무 새올요청자료 목록 조회", value=METHOD_URL.getDmndDataList)
		public ModelAndView getDmndDataList(CrdnQuery query) {
			return super.getDmndDataList(query);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 새올요청자료 등록", value=METHOD_URL.createDmndDataInfo)
		public ModelAndView createDmndDataInfo(CrdnCvlcpt crdnCvlcpt) {
			return super.createDmndDataInfo(crdnCvlcpt);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 새올요청자료 삭제", value=METHOD_URL.removeDmndDataInfo)
		public ModelAndView removeDmndDataInfo(String[] IDs) {
			return super.removeDmndDataInfo(IDs);
		}

	}

	@Controller
	@RequestMapping(name="전용차로과태료업무 민원신고답변 문구 관리 업무", value=CLASS_URL+Cvlc05Controller.CLASS_URL)
	class Cvlc05Controller extends cokr.xit.fims.cvlc.web.Cvlc05Controller {

		@Override
		@RequestMapping(name="전용차로과태료업무 민원신고 답변 문구 설정 조회", value=METHOD_URL.getCvlcptAnswerWordsInfo)
		public ModelAndView getCvlcptAnswerWordsInfo(CrdnQuery crdnQuery) {
			return super.getCvlcptAnswerWordsInfo(crdnQuery);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 민원신고 답변 문구 설정 저장", value=METHOD_URL.saveCvlcptAnswerWordsInfo)
		public ModelAndView saveCvlcptAnswerWordsInfo(HttpServletRequest hReq, CrdnCvlcpt crdnCvlcpt) {
			return super.saveCvlcptAnswerWordsInfo(hReq, crdnCvlcpt);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 미부과처리건 답변 문구 삭제", value=METHOD_URL.removeCvlcptAnswerWordsInfo)
		public ModelAndView removeCvlcptAnswerWordsInfo(String ansWordsId) {
			return super.removeCvlcptAnswerWordsInfo(ansWordsId);
		}

	}

	@Controller
	@RequestMapping(name="전용차로과태료업무 계도문 문구 관리 업무", value=CLASS_URL+Cvlc06Controller.CLASS_URL)
	class Cvlc06Controller extends cokr.xit.fims.cvlc.web.Cvlc06Controller {

		@Override
		@RequestMapping(name="전용차로과태료업무 계도문 문구 설정 목록", value=METHOD_URL.getWarningWordsList)
		public ModelAndView getWarningWordsList(CrdnQuery crdnQuery) {
			return super.getWarningWordsList(crdnQuery);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 민원신고 답변 문구 설정 저장", value=METHOD_URL.saveCvlcptAnswerWordsInfo)
		public ModelAndView saveCvlcptAnswerWordsInfo(CrdnCvlcpt crdnCvlcpt) {
			return super.saveCvlcptAnswerWordsInfo(crdnCvlcpt);
		}

	}

	@Controller
	@RequestMapping(name="전용차로과태료업무 단속자료검사 업무", value=CLASS_URL+Crdn02Controller.CLASS_URL)
	class Crdn02Controller extends cokr.xit.fims.crdn.web.Crdn02Controller {

		@Override
		@RequestMapping(name="전용차로과태료업무 검사자료 목록 조회", value=METHOD_URL.getInspectionDataList)
		public ModelAndView getInspectionDataList(CrdnQuery query) {
			return super.getInspectionDataList(query);
		}

	}

	@Controller
	@RequestMapping(name="전용차로과태료업무 단속등록업무", value=CLASS_URL+Crdn05Controller.CLASS_URL)
	class Crdn05Controller extends cokr.xit.fims.crdn.web.Crdn05Controller {

		@Override
		@RequestMapping(name="전용차로과태료업무 단속자료 파일 등록 화면", value=METHOD_URL.getFileRegistrationScreen)
		public ModelAndView getFileRegistrationScreen() {
			return super.getFileRegistrationScreen();
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 당일 입력 단속자료 목록 조회", value=METHOD_URL.getTodayCrdnDataList)
		public ModelAndView getTodayCrdnDataList(CrdnQuery query) {
			return super.getTodayCrdnDataList(query);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 단속자료 수기 등록 화면", value=METHOD_URL.getManualRegistrationScreen)
		public ModelAndView getManualRegistrationScreen(HttpServletRequest hReq) {
			return super.getManualRegistrationScreen(hReq);
		}

		@Override
		@RequestMapping(name="전용차로과태료업무 단속자료 수기 등록", value=METHOD_URL.createCrdnDataByManual)
		public ModelAndView createCrdnDataByManual(HttpServletRequest hReq, Crdn crdn, MultipartFile[] newFileList) {
			return super.createCrdnDataByManual(hReq, crdn, newFileList);
		}

	}

	@Controller
	@RequestMapping(name="전용차로과태료업무 단속업무", value=CLASS_URL+Crdn06Controller.CLASS_URL)
	class Crdn06Controller extends cokr.xit.fims.crdn.web.Crdn06Controller {

		@Override
		@RequestMapping(name="전용차로과태료업무 단속자료 목록", value=METHOD_URL.getCrackdownList)
		public ModelAndView getCrackdownList(CrdnQuery query) {
			return super.getCrackdownList(query);
		}

	}

	@Controller
	@RequestMapping(name="전용차로과태료업무 단속팀 관리", value=CLASS_URL+Crdn07Controller.CLASS_URL)
	class Crdn07Controller extends cokr.xit.fims.crdn.web.Crdn07Controller {

		@Override
		@RequestMapping(name="전용차로과태료업무 단속팀 정보 조회", value=METHOD_URL.getTeamInfo)
		public ModelAndView getTeamInfo(String teamId) {
			return super.getTeamInfo(teamId);
		}

	}

	@Controller
	@RequestMapping(name="전용차로과태료업무 부과제외_부과제외관리", value=CLASS_URL+"/excl/excl01")
	class Excl01Controller extends cokr.xit.fims.excl.web.Excl01Controller {}

	@Controller
	@RequestMapping(name="전용차로과태료업무 부과제외_의견제출 관리", value=CLASS_URL+"/excl/excl02")
	class Excl02Controller extends cokr.xit.fims.excl.web.Excl02Controller {}

	@Controller
	@RequestMapping(name="전용차로과태료업무 부과제외_재등록 관리", value=CLASS_URL+"/excl/excl03")
	class Excl03Controller extends cokr.xit.fims.excl.web.Excl03Controller {}

	@Controller
	@RequestMapping(name="전용차로과태료업무 부과_부과 관리", value=CLASS_URL+"/levy/levy01")
	class Levy01Controller extends cokr.xit.fims.levy.web.Levy01Controller {}

	@Controller
	@RequestMapping(name="전용차로과태료업무 부과_감경 관리", value=CLASS_URL+"/levy/levy02")
	class Levy02Controller extends cokr.xit.fims.levy.web.Levy02Controller {}

	@Controller
	@RequestMapping(name="전용차로과태료업무 업무지원_통합조회", value=CLASS_URL+"/sprt/sprt01/")
	class Sprt01Controller extends cokr.xit.fims.sprt.web.Sprt01Controller {}

	@Controller
	@RequestMapping(name="전용차로과태료업무 업무지원_개별총정보", value=CLASS_URL+"/sprt/sprt02/")
	class Sprt02Controller extends cokr.xit.fims.sprt.web.Sprt02Controller {
		/** 개별총정보 메인화면을 연다.
		 * @return fims/sprt/sprt02010-main
		 */
		@Override
		@RequestMapping(name="개별총정보 메인", value="/010/main.do")
		public ModelAndView indivTotalInfoMain(SprtQuery req) {
			return super.indivTotalInfoMain(req);
		}
	}

	@Controller
	@RequestMapping(name="전용차로과태료업무 업무지원_민원상담", value=CLASS_URL+"/sprt/sprt04")
	class Sprt04Controller extends cokr.xit.fims.sprt.web.Sprt04Controller {}

}
